<script lang="ts" setup>
import { ref } from 'vue';

import { useVbenModal } from '@vben/common-ui';

const list = ref('');
const previewTitle = ref('二维码');
const [Modal, modalApi] = useVbenModal({
  fullscreenButton: false,
  draggable: true,
  onCancel() {
    modalApi.close();
  },
  onConfirm: async () => {
    modalApi.close();
  },
  onOpenChange(isOpen: boolean) {
    if (isOpen) {
      const { values, title } = modalApi.getData<Record<string, any>>();
      if (values) {
        list.value = values;
        previewTitle.value = title;
      }
    }
  },
});
</script>
<template>
  <Modal title="提示框" class="w-[50%]">
    您的处方中有以下药品存在{{ previewTitle }}
  </Modal>
</template>
